#include "Controls.h"

cpct_keyID controlsArray[CONTROLS_ARRAY_COUNT];
u8 currentControlSchemeChoice = 0;

void setJoystickControls()
{
    controlsArray[CONTROLS_LEFT] = Joy0_Left;
    controlsArray[CONTROLS_RIGHT] = Joy0_Right; 
    controlsArray[CONTROLS_UP] = Joy0_Up;
    controlsArray[CONTROLS_DOWN] = Joy0_Down;
    controlsArray[CONTROLS_USE] = Joy0_Fire1;
    controlsArray[CONTROLS_JUMP] = Joy0_Up;
}

void setCursorControls()
{
    controlsArray[CONTROLS_LEFT] = Key_CursorLeft;
    controlsArray[CONTROLS_RIGHT] = Key_CursorRight; 
    controlsArray[CONTROLS_UP] = Key_CursorUp;
    controlsArray[CONTROLS_DOWN] = Key_CursorDown;
    controlsArray[CONTROLS_USE] = Key_Space;
    controlsArray[CONTROLS_JUMP] = Key_CursorUp;
}

void setCursorControlsCopy()
{
    controlsArray[CONTROLS_LEFT] = Key_CursorLeft;
    controlsArray[CONTROLS_RIGHT] = Key_CursorRight; 
    controlsArray[CONTROLS_UP] = Key_CursorUp;
    controlsArray[CONTROLS_DOWN] = Key_CursorDown;
    controlsArray[CONTROLS_USE] = Key_Copy;
    controlsArray[CONTROLS_JUMP] = Key_CursorUp;
}

void setQAOPControls()
{
    controlsArray[CONTROLS_LEFT] = Key_O;
    controlsArray[CONTROLS_RIGHT] = Key_P; 
    controlsArray[CONTROLS_UP] = Key_Q;
    controlsArray[CONTROLS_DOWN] = Key_A;
    controlsArray[CONTROLS_USE] = Key_Space;
    controlsArray[CONTROLS_JUMP] = Key_Q;
}