#ifndef MEDIATOR_H
#define MEDIATOR_H

#include <Types.h>
#include "GameTypes.h"

//the difficulty range available
#define MIN_DIFFICULTY 1
#define MAX_DIFFICULTY 3

typedef enum {ACTIVE, WIN, LOSS, QUIT} GameResult;

//the end result of the game session
extern GameResult gameResult;

//whether the game is running or not
extern u8 gameRunning;

//the initials for the newly entered high score
extern u8 newScoreName[4];

//the number of seconds remaining in the game
extern u8 levelTimerSeconds;

//determines how the game is
extern u8 difficultyLevel;

//colours
extern u8 backgroundColour;

#endif