#include "MenuItem.h"

void _drawMenuItem(MenuItem* menuItem, u8 x, u8 y, u8 width, u8 height, u8 selected);

void initMenuItem(MenuItem* menuItem)
{
    menuItem->drawMenuItem = _drawMenuItem;
}

void _drawMenuItem(MenuItem* menuItem, u8 x, u8 y, u8 width, u8 height, u8 selected)
{
    u8* menuItemVideoMemory = cpct_getScreenPtr(CPCT_VMEM_START, x, y);      

    if(selected)
    {
        cpct_drawStringM0(menuItem->itemText,  menuItemVideoMemory, 7, 4);
    }
    else
    {
        cpct_drawStringM0(menuItem->itemText,  menuItemVideoMemory, 1, 0);
    }    
}