#ifndef OBJECT_H
#define OBJECT_H

#include <types.h>

typedef struct Position Position;
typedef struct Velocity Velocity;
typedef struct Object Object;

struct Position
{
    u8 x;
    u8 y;
};

struct Velocity
{
    i8 x : 3;
    i8 y : 3;
};

struct Object
{
    Position position;    
    u8 width;
    u8 height;
    Velocity velocity;
};

#endif