#ifndef TIMER_H
#define TIMER_H

#include <types.h>
#include "GameTypes.h"
#include "Mediator.h"
#include "Hud.h"

extern u8 invincibilityActive;
extern u8 levelTimerActive;
extern u8 enemyTimerCount;

void timerInterruptHandler();
void startInvincibilityTimer();

//start the level timer which will count down from the level time to 0
//the player needs to finish the level before it reaches 0
void startLevelTimer();

void stopLevelTimer();

#endif