#include "Game.h"
#include "menus/MainMenu.h"

void main(void) 
{
    //disable the firmware to prevent it from interfering with setVideoMode
    cpct_disableFirmware(); 

    //set video mode to mode 0
    cpct_setVideoMode(0);

    //need to setup the menus
    buildMainMenu();
    buildOptionsMenu();
	buildHighScores();

    //set default controls to cursor controls with space    
    setCursorControls();

    while(1)
    {
        runMainMenu();
    }
}
