#ifndef A2_PLATFORMS_H
#define A2_PLATFORMS_H

#include <cpctelera.h>
#include "../MemoryManager.h"

//Generated from XML map version: 0.3.5

#define A2_PLATFORMS_X_TILE_COUNT 20
#define A2_PLATFORMS_TIME_LIMIT 255
#define A2_PLATFORMS_ENEMY_COUNT 3
#define A2_PLATFORMS_INTERACTABLE_COUNT 1
#define A2_PLATFORMS_FITZROY_X 1
#define A2_PLATFORMS_FITZROY_Y 7

extern const u8 map_a2_platforms[240];

#ifdef A2_PLATFORMS_ENEMY_COUNT
extern const u8 enemy_a2_platforms[12];
#endif
#ifdef A2_PLATFORMS_INTERACTABLE_COUNT
extern const u8 interactable_a2_platforms[6];
#endif
#ifdef A2_PLATFORMS_ITEM_COUNT
extern const u8 item_a2_platforms[0];
#endif

#endif
