#ifndef GAME_H
#define GAME_H

#include <cpctelera.h>
#include "GameTypes.h"
#include "Fitzroy.h"
#include "Keys.h"
#include "Map.h"
#include "Timer.h"
#include "Controls.h"
#include "Mediator.h"
#include "Hud.h"
#include "Palettes.h"

void initGame(u8 selectedLevel);
void startGame();
void logicGame();
void readInput();
void interruptHandler();
void drawGame();
u8 confirmQuit();

#endif