#ifndef KEYS_H
#define KEYS_H

#include <cpctelera.h>
#include "GameTypes.h"

typedef struct Keys Keys;

struct Keys
{
    cpct_keyID left;
    cpct_keyID right;
    cpct_keyID up;
    cpct_keyID down;
    cpct_keyID jump;
    cpct_keyID use;
    u8 leftIsDown : 1;
    u8 rightIsDown : 1;
    u8 upIsDown : 1;
    u8 downIsDown : 1;
    u8 jumpIsDown : 1;
    u8 useIsDown : 1;
};

void initKeys(Keys* keys);

#endif