#ifndef MEMORYMANAGER_H
#define MEMORYMANAGER_H

//this is used for defining start and end memory locations for the levels

//easy levels
#define a0_intro_MEMORY_MANAGEMENT_ON 1
#define a0_intro_MEMORY_START 0x0120
#define a0_intro_MEMORY_END 0x03DC

#define a1_keys_MEMORY_MANAGEMENT_ON 1
#define a1_keys_MEMORY_START 0x0400
#define a1_keys_MEMORY_END 0x06BC

#define a2_platforms_MEMORY_MANAGEMENT_ON 1
#define a2_platforms_MEMORY_START 0x0700
#define a2_platforms_MEMORY_END 0x09BC

#define a3_death_MEMORY_MANAGEMENT_ON 1
#define a3_death_MEMORY_START 0x0A00
#define a3_death_MEMORY_END 0x0CBC

#define a4_lasers_MEMORY_MANAGEMENT_ON 1
#define a4_lasers_MEMORY_START 0xD00
#define a4_lasers_MEMORY_END 0xFBC

#define a5_cracked_tiles_MEMORY_MANAGEMENT_ON 1
#define a5_cracked_tiles_MEMORY_START 0x1000
#define a5_cracked_tiles_MEMORY_END 0x12FC

//more complex levels
#define b6_trapdoors_MEMORY_MANAGEMENT_ON 1
#define b6_trapdoors_MEMORY_START 0x1300
#define b6_trapdoors_MEMORY_END 0x15CC

#define b7_shoes_MEMORY_MANAGEMENT_ON 1
#define b7_shoes_MEMORY_START 0x1600
#define b7_shoes_MEMORY_END 0x18EC

#define b8_magnifying_glass_MEMORY_MANAGEMENT_ON 1
#define b8_magnifying_glass_MEMORY_START 0x1900
#define b8_magnifying_glass_MEMORY_END 0x1BEC

#define b9_switched_doors_MEMORY_MANAGEMENT_ON 1
#define b9_switched_doors_MEMORY_START 0x1C00
#define b9_switched_doors_MEMORY_END 0x1EEC

#define b10_spanners_MEMORY_MANAGEMENT_ON 1
#define b10_spanners_MEMORY_START 0x1F00
#define b10_spanners_MEMORY_END 0x2270

//chair levels
#define c11_MEMORY_MANAGEMENT_ON 1
#define c11_MEMORY_START 0x2300
#define c11_MEMORY_END 0x25EC

#define c12_MEMORY_MANAGEMENT_ON 1
#define c12_MEMORY_START 0x2600
#define c12_MEMORY_END 0x28EC

//memory management for tile and item sprites
#define TILESPRITES_MEMORY_START 0x2900
#define TILESPRITES_MEMORY_END 0x3500

#define ITEMSPRITES_MEMORY_START 0x3510
#define ITEMSPRITES_MEMORY_END 0x4000


#endif