#ifndef MAPS_H
#define MAPS_H

#include "a0_intro.h"
#include "a1_keys.h"
#include "a2_platforms.h"
#include "a3_death.h"
#include "a4_lasers.h"
#include "a5_cracked_tiles.h"
#include "b6_trapdoors.h"
#include "b7_shoes.h"
#include "b8_magnifying_glass.h"
#include "b9_switched_doors.h"
#include "b10_spanners.h"
#include "c11.h"
#include "c12.h"

//placeable component counts
#define ENEMY_COMPONENT_COUNT 4
#define INTERACTABLE_COMPONENT_COUNT 6
#define ITEM_COMPONENT_COUNT 3

//maps
#define MAP_COUNT 13

#define MAP_A0 0
#define MAP_A1 1
#define MAP_A2 2
#define MAP_A3 3
#define MAP_A4 4
#define MAP_A5 5
#define MAP_B6 6
#define MAP_B7 7
#define MAP_B8 8
#define MAP_B9 9
#define MAP_B10 10
#define MAP_C11 11
#define MAP_C12 12

#endif