#ifndef B6_TRAPDOORS_H
#define B6_TRAPDOORS_H

#include <cpctelera.h>
#include "../MemoryManager.h"

//Generated from XML map version: 0.3.5

#define B6_TRAPDOORS_X_TILE_COUNT 20
#define B6_TRAPDOORS_TIME_LIMIT 255
#define B6_TRAPDOORS_ENEMY_COUNT 6
#define B6_TRAPDOORS_INTERACTABLE_COUNT 7
#define B6_TRAPDOORS_ITEM_COUNT 6
#define B6_TRAPDOORS_FITZROY_X 8
#define B6_TRAPDOORS_FITZROY_Y 1

extern const u8 map_b6_trapdoors[240];

#ifdef B6_TRAPDOORS_ENEMY_COUNT
extern const u8 enemy_b6_trapdoors[24];
#endif
#ifdef B6_TRAPDOORS_INTERACTABLE_COUNT
extern const u8 interactable_b6_trapdoors[42];
#endif
#ifdef B6_TRAPDOORS_ITEM_COUNT
extern const u8 item_b6_trapdoors[18];
#endif

#endif
